/// <reference types="react" />
type PinDropTargetProps = {
    variant: "pin" | "unpin";
    pinIndex: number | null;
    hideUntilDrag: boolean;
};
export type PinDropTargetRenderArgs = PinDropTargetProps & {
    hovered: boolean;
    highlighted: boolean;
    empty?: boolean;
};
export declare const StyledPinDropTarget: import("@emotion/styled").StyledComponent<any, {}, {
    ref?: import("react").Ref<import("react").Component<any, any, any>> | undefined;
}>;
export declare const PinDropTargetIndicator: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & PinDropTargetProps & {
    hovered: boolean;
    highlighted: boolean;
    empty?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export {};
